=== maint/requirements.txt ===
# Network access
requests>=2.9
# Git operations
GitPython>=2.0

# Linting for our Python code
flake8>=3.0
pep8>=1.7
pep8-naming>=0.4
flake8-quotes>=0.8
flake8_docstrings>=1.0
# Workaround for 'pydocstyle has no attribute tokenize_open' error
# see https://gitlab.com/pycqa/flake8-docstrings/issues/36
pydocstyle<4
