=== debian/changelog ===
flycheck (35.0-1) unstable; urgency=medium

  * New upstream release
  * Drop 0008-Update-flycheck-add-overlay-right-position-in-narrow.patch
    - Applied upstream
  * Refresh patches
  * Manage patches using gbp-pq
  * Mark packages in Build-Depends with <!nocheck> or <!nodoc> as needed
  * Add gawk to Build-Depends as <!nocheck>
  * Skip awk-gawk test that fails with gawk (LP: #2101938)

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 28 Apr 2025 00:46:18 -0700
