=== debian/control ===
Source: flycheck
Section: editors
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders:
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa (>= 1.7),
 elpa-buttercup (>= 1.31~) <!nocheck>,
 elpa-dash <!nocheck>,
 elpa-f <!nocheck>,
 elpa-haskell-mode <!nocheck>,
 elpa-let-alist <!nocheck>,
 elpa-shut-up <!nocheck>,
 gawk <!nocheck>,
 git <!nocheck>,
 python3-minimal <!nocheck>,
 python3-sphinx <!nodoc>,
Build-Conflicts:
 python-sphinx,
Standards-Version: 4.7.2
Homepage: https://www.flycheck.org/
Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck
Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck.git
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-flycheck
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs,
Enhances:
 emacs,
Suggests:
 flycheck-doc,
Description: modern on-the-fly syntax checking for Emacs
 Flycheck uses various syntax checking and linting tools to
 automatically check the contents of buffers while the user types, and
 reports warnings and errors directly in the buffer, or in an optional
 error list.
 .
 It is intended to replace the older Flymake which is part of Emacs core.

Package: flycheck-doc
Section: doc
Architecture: all
Depends:
 elpa-flycheck (= ${source:Version}),
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: modern on-the-fly syntax checking for Emacs - documentation
 Flycheck uses various syntax checking and linting tools to
 automatically check the contents of buffers while the user types, and
 reports warnings and errors directly in the buffer, or in an optional
 error list.
 .
 This package includes flycheck's HTML documentation.
