=== doc/Makefile ===
--- 
+++ 
@@ -21,14 +21,7 @@
 OPTIPNG = optipng
 BUILDDIR = _build
 
-# Whether to build offline HTML that loads no external resources, for use in 3rd
-# party packages, see https://github.com/flycheck/flycheck/issues/999
-OFFLINE =
-
 ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .
-ifdef OFFLINE
-ALLSPHINXOPTS += -Dflycheck_offline_html=1
-endif
 
 IMAGES = images/*.png
 
@@ -54,8 +47,6 @@
 	@echo 'For *-auto targets you also need $(SPHINXAUTOBUILD).'
 	@echo ''
 	@echo 'Available make variables:'
-	@echo '  OFFLINE:  If set build HTML that loads no external resources'
-	@echo ''
 	@echo 'Available programs:'
 	@echo '  $(SPHINXBUILD): $(if $(HAVE_SPHINXBUILD),yes,no)'
 	@echo '  $(SPHINXAUTOBUILD): $(if $(HAVE_SPHINXAUTOBUILD),yes,no)'
