=== doc/requirements.txt ===
# Sphinx
Sphinx>=7.0
# Automatically build documentation on changes
sphinx-autobuild
# Sphinx theme
furo
# Syntax highlighting
Pygments>=2.17
# Network access
requests>=2.30
