=== debian/changelog ===
flycheck (36.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Rules-Requires-Root: no'; now default
  * Drop `Priority: optional'; now default
  * Migrate d/watch to version 5 format
  * Add new build dependencies
    - gnupg for tests
    - furo and python3-pygments for docs
  * Add test/specs to buttercup_load_path for tests
  * Refresh patches
  * Disable failing test flycheck-display-error-message
  * Update upstream-tag to use upstream tags
    - Also drop compression settings to prefer upstream tarballs

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 22 Feb 2026 02:16:42 -0800
