=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: flycheck
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders:
  Xiyue Deng <manphiz@gmail.com>,
@@ -13,18 +12,20 @@
  elpa-haskell-mode <!nocheck>,
  elpa-let-alist <!nocheck>,
  elpa-shut-up <!nocheck>,
+ furo <!nodoc>,
  gawk <!nocheck>,
  git <!nocheck>,
+ gnupg <!nocheck>,
  python3-minimal <!nocheck>,
+ python3-pygments <!nodoc>,
  python3-sphinx <!nodoc>,
 Build-Conflicts:
  python-sphinx,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.flycheck.org/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck
 Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck.git
 Testsuite: autopkgtest-pkg-elpa
-Rules-Requires-Root: no
 
 Package: elpa-flycheck
 Architecture: all
