=== debian/watch ===
Version: 5

Template: Github
Owner: flycheck
Project: flycheck
